#ifndef _stack_h
#define _stack_h

#include "element.h"

struct StackRecord;
typedef struct StackRecord *Stack;

Stack CreateStack(int count);
void DestroyStack(Stack S);

ElementType Pop(Stack S);
ElementType TopOfStack(Stack S);
void Push(Stack S, ElementType X);

int IsEmpty(Stack S);
int IsFull(Stack S);

#endif /* _stack_h */
